"""===========================================
منطق برنامه ای را طراحی کنید که عدد طبیعی و زوج N
و عدد حقیقی X را از ورودی دریافت می کند و
سپس مجموع جملات سری زیر را محاسبه و چاپ کنید.

s = 1 + X^/2! + X^4/4! + ...
==========================================="""



#           with while
#---------------------------------------
n = int(input("Please enter N: "))
x = int(input("Please enter X; "))
if n % 2 == 0:
    s = 1
    count = 2
    while count <= n:
        fact = 1
        temp = 1
        while temp <= count:
            fact *= temp
            temp +=1
        sent = (x**2)/fact
        s = s+sent
        count+=2
    print("="*20,"\nResult=",s)
else:
    print("عدد وارد شده زوج نیست")



#           with for
#---------------------------------

